# SPARK INIT
MASTER_ADDR = "spark://192.168.20.241:7077"
DWH_DIR_ADDR = "hdfs:///user/hive/warehouse"

# DB
DWH_DB = "default"

# DATA PATHS
SRC_PATH = "/user/hdfs/src"
# SRC_PATH = "/user/hdfs/inc"

SRC_PATH_USER = f"{SRC_PATH}/users.csv"
SRC_PATH_TRACK = f"{SRC_PATH}/tracks.csv"
SRC_PATH_ALBUM = f"{SRC_PATH}/albums.csv"
SRC_PATH_EVENTS = f"{SRC_PATH}/events.csv"

EXT_PATH = "/user/hdfs/ext"
EXT_PATH_GEO_DATA = f"{EXT_PATH}/geo.csv"

# DWH TABLES NAMES
CALENDAR_DIM = "calendar_dim"
USER_DIM = "user_dim"
TRACK_DIM = "track_dim"
STREAMS_FACT = "streams_fact"
ALBUM_SRC = 'album_src'

# SUFFIX
TEMP = "_temp"
BACKUP = "_backup"

# CALENDAR
CALENDAR_START_DATE = "2021-01-01"
CALENDAR_END_DATE = "2040-12-31"

# ETL PATH
ETL_PATH = '/home/hdfs/etl'

# ETL JOBS
# common
SETUP_JOB = 'setup.py'

# jobs
USER_DIM_JOB = 'user_dim_job.py'
TRACK_DIM_JOB = 'track_dim_job.py'
STREAM_FACT_JOB = 'stream_fact_job.py'

# METHODS
# naive
NAIVE = 'naive'
RESTORE_TABLES_JOB = 'restore_tables.py'

# da
DA = 'dependency_analysis'

EXT_OP = '_ext'
TL_OP = '_tl'
SWAP_OP = '_swap'

CMD_LOG = 'cmd_log'
CONFIG_LOG = 'config_log'

# LOG
LOG_FILE = f"{ETL_PATH}/log_etl.log"
RESULT_LOG_FILE = f"{ETL_PATH}/result_log.log"

# MYSQL
MYSQL_DB = 'da_etl'
