from common.constants import *
from common.tools import get_spark
from etl_functions.track_dim import *

spark = get_spark(TRACK_DIM)

spark.sparkContext.addPyFile(f"{ETL_PATH}/packages.zip")


def main():
    track_ext = spark.read.load(SRC_PATH_TRACK, format='csv', sep=",", header="true", inferSchema="true")

    album_ext = spark.read.load(SRC_PATH_ALBUM, format='csv', sep=",", header="true", inferSchema="true")

    track_tf = TrackTransformFunctions(spark, track_ext, album_ext)
    track_tf.join_albums()
    track_tf.eliminate_nulls()
    track_tf.validate()

    # LOAD
    if spark.sql(f"show tables in {DWH_DB}").filter(col('tableName') == TRACK_DIM).count() == 0:
        track_dim = track_tf.prep_init_form()
        track_dim.write.mode("overwrite").saveAsTable(TRACK_DIM)
    else:
        track_dim = track_tf.prep_scd_form()
        track_dim.write.mode('overwrite').saveAsTable(f"{TRACK_DIM}{TEMP}")
        spark.sql(f"ALTER TABLE {TRACK_DIM} RENAME TO {TRACK_DIM}{BACKUP}")
        spark.sql(f"ALTER TABLE {TRACK_DIM}{TEMP} RENAME TO {TRACK_DIM}")
        spark.sql(f"DROP TABLE IF EXISTS {TRACK_DIM}{BACKUP}")


main()
