CREATE TABLE user_dim (
    user_id INT,
    email STRING,
    name STRING,
    birthday STRING,
    gender STRING,
    country STRING,
    region STRING
                      )
STORED AS PARQUET;

CREATE TABLE track_dim (
    track_id INT,
    title STRING,
    artist STRING,
    album STRING,
    genre STRING,
    duration STRING,
    release_date STRING,
    publisher STRING
                      )
STORED AS PARQUET;

CREATE TABLE calendar_dim (
    date_id INT,
    full_date DATE,
    year STRING,
    month_full STRING,
    month_short STRING,
    month_number STRING,
    day_of_month STRING,
    day_of_week_full STRING,
    day_of_week_short STRING,
    day_of_week_number STRING,
    week_of_year STRING
                      )
STORED AS PARQUET;

CREATE TABLE streams_fact (
    date_id INT,
    user_id INT,
    track_id INT,
    stream_duration INT,
    subscription STRING
                      )
STORED AS PARQUET;
